{% extends base_template %}

{% block title %}Liste des clients{% endblock %}

{% block breadcrumb %}
{{ block.super }}
<li class="breadcrumb-item active" aria-current="page">Clients</li>
{% endblock %}

{% block content %}
    <div class="row align-items-center">
        <div class="col-8">
            <h2>{{ title }}{% if view.is_archive %} <b>(archives)</b>{% endif %}</h2>
        </div>
        <div class="col text-end">
            {% block right_of_title %}
            {% if view.is_archive %}
                <a class="btn btn-sm btn-outline-primary" href="{% url 'clients' %}">Liste des clients</a>
            {% else %}
                <a class="btn btn-sm btn-outline-primary" href="{% url 'clients-archives' %}">Archives</a>
            {% endif %}
            <a class="btn btn-sm btn-outline-primary" href="{% url 'client-new' %}">Nouveau client</a>
            {% endblock %}
        </div>
    </div>

    {% block above_table %}{% endblock %}

    <form class="immediate_submit table-filter unmonitor" method="get">
    {% if not view.is_archive and form.listes %}
        <div class="w-100 text-end">{{ form.listes }}</div>
    {% endif %}
    <table class="table table-striped client_list">
        <thead class="sticky">
            <tr>
                <th>Nom</th><th>Adresse</th><th>Localité</th><th>Téléphone-s</th><th>Date de naissance</th>
                {% block add_headers %}{% endblock %}
            </tr>
            {% if form %}
            <tr class="filters">
                <td>{{ form.nom_prenom }}</td><td>{{ form.rue }}</td><td>{{ form.npa_localite }}</td>
                <td>{{ form.tel }}</td><td></td>
                {% block add_filters %}{% endblock %}
            </tr>
            {% endif %}
        </thead>
        <tbody id="filter_container">
        {% for client in object_list %}
            <tr>
                <td>
                    {% if client_url_name %}<a href="{% url client_url_name client.pk %}">{% endif %}{{ client.noms }}{% if client_url_name %}</a>{% endif %}
                    {{ client.prenoms }}
                </td>
                <td>{{ client.rue }}
                    {% if not client.empl_geo %}
                    <img class="icon non_geoloc align-top" src="{% static 'img/warning.svg' %}"
                         title="Cette personne n’a pas pu être géolocalisée" data-bs-toggle="tooltip">
                    {% endif %}
                </td>
                <td>{{ client.npa }} {{ client.localite }}</td>
                <td class="tels">
                    {{ client.tel_1|as_tel }} {% if client.tel_2 %}<br>{{ client.tel_2|as_tel }}{% endif %}
                </td>
                <td>{{ client.date_naissance|date:'d.m.Y' }}</td>
                {% block add_columns %}{% endblock %}
            </tr>
        {% endfor %}
        </tbody>
    </table>
    </form>

    {% include 'pagination.html' %}

{% endblock %}
